Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.topics
Class LDA

    java.lang.Object
      cc.mallet.topics.LDA

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Use ParallelTopicModel instead.

    public class LDA

extends java.lang.Object
implements java.io.Serializable

Latent Dirichlet Allocation.

Author:
  Andrew McCallum
See Also:
  Serialized Form

Constructor Summary
`LDA(int numberOfTopics)` Deprecated.
`LDA(int numberOfTopics, double alphaSum, double beta)` Deprecated.

Method Summary
`void` | `addDocuments(InstanceList additionalDocuments, int numIterations, int showTopicsInterval, int outputModelInterval, java.lang.String outputModelFilename, Randoms r)` Deprecated.
`void` | `estimate(InstanceList documents, int numIterations, int showTopicsInterval, int outputModelInterval, java.lang.String outputModelFilename, Randoms r)` Deprecated.
`void` | `estimate(int docIndexStart, int docIndexLength, int numIterations, int showTopicsInterval, int outputModelInterval, java.lang.String outputModelFilename, Randoms r)` Deprecated.
`int[][]` | `getDocTopicCounts()` Deprecated.
`InstanceList` | `getInstanceList()` Deprecated.
`int[]` | `getTokensPerTopic()` Deprecated.
`int[][]` | `getTypeTopicCounts()` Deprecated.
`static void` | `main(java.lang.String[] args)` Deprecated.
`void` | `printDocumentTopics(java.io.File f)` Deprecated.
`void` | `printDocumentTopics(java.io.PrintWriter pw)` Deprecated.
`void` | `printDocumentTopics(java.io.PrintWriter pw, double threshold, int max)` Deprecated.
`void` | `printState(java.io.File f)` Deprecated.
`void` | `printState(java.io.PrintWriter pw)` Deprecated.
`void` | `printTopWords(int numWords, boolean useNewLines)` Deprecated.
`void` | `sampleTopicsForAllDocs(Randoms r)` Deprecated.
`void` | `sampleTopicsForDocs(int start, int length, Randoms r)` Deprecated.
`void` | `write(java.io.File f)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDA

    public LDA(int numberOfTopics)

  Deprecated.

### LDA

    public LDA(int numberOfTopics,
               double alphaSum,
               double beta)

  Deprecated.

Method Detail

### estimate

    public void estimate(InstanceList documents,
                         int numIterations,
                         int showTopicsInterval,
                         int outputModelInterval,
                         java.lang.String outputModelFilename,
                         Randoms r)

  Deprecated.

### addDocuments

    public void addDocuments(InstanceList additionalDocuments,
                             int numIterations,
                             int showTopicsInterval,
                             int outputModelInterval,
                             java.lang.String outputModelFilename,
                             Randoms r)

  Deprecated.

### estimate

    public void estimate(int docIndexStart,
                         int docIndexLength,
                         int numIterations,
                         int showTopicsInterval,
                         int outputModelInterval,
                         java.lang.String outputModelFilename,
                         Randoms r)

  Deprecated.

### sampleTopicsForAllDocs

    public void sampleTopicsForAllDocs(Randoms r)

  Deprecated.

### sampleTopicsForDocs

    public void sampleTopicsForDocs(int start,
                                    int length,
                                    Randoms r)

  Deprecated.

### getDocTopicCounts

    public int[][] getDocTopicCounts()

  Deprecated.

### getTypeTopicCounts

    public int[][] getTypeTopicCounts()

  Deprecated.

### getTokensPerTopic

    public int[] getTokensPerTopic()

  Deprecated.

### printTopWords

    public void printTopWords(int numWords,
                              boolean useNewLines)

  Deprecated.

### printDocumentTopics

    public void printDocumentTopics(java.io.File f)
                             throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printDocumentTopics

    public void printDocumentTopics(java.io.PrintWriter pw)

  Deprecated.

### printDocumentTopics

    public void printDocumentTopics(java.io.PrintWriter pw,
                                    double threshold,
                                    int max)

  Deprecated.

### printState

    public void printState(java.io.File f)
                    throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printState

    public void printState(java.io.PrintWriter pw)

  Deprecated.

### write

    public void write(java.io.File f)

  Deprecated.

### getInstanceList

    public InstanceList getInstanceList()

  Deprecated.

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD